#include <stdio.h>
#include <stdlib.h>

int main()
{
    printf("Unesi n (broj dana kada je otac kupio plazmu) i q (broj pitanja): ");
    int n, q;
    scanf("%d%d", &n, &q);
    int d[n], j;
    long long int p[n], sum=0, up=0, pit[q], odg[q], t;

    for(int i=0; i<n; i++){
        printf("Unesi kog dana je otac nasao koliko pakovanja plazme: ");
        scanf("%d%ld", &d[i], &p[i]);
    }
    for(int i=0; i<q; i++){
        printf("Unesi pitanja: ");
        scanf("%ld", &pit[i]);
    }
    for(int i=0; i<q; i++){
        up=0;
        odg[i]=0;
        if(pit[i]>=d[0]){
            for(int j=0; j<n;j++){
                up+=p[j];
                t=d[j];
                while(up!=0 && t<=pit[i]){
                    odg[i]++;
                    t++;
                    up--;
                }
            }
        }
        printf("%lld\n", odg[i]);
    }
    return 0;
}